Bug 218217 - Review Request: telepathy-stream-engine - Telepathy client to handle media streaming
Review Request: telepathy-stream-engine - Telepathy client to handle media st...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-03 12:16 EST by Brian Pepple
Modified: 2008-04-23 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-27 19:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-12-03 12:16:39 EST
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-stream-engine.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-stream-engine-0.3.16-1.src.rpm
Description: A Telepathy client that uses Farsight and GStreamer to handle media
streaming for channels with the IceSignalling interface.
Comment 1 Mamoru TASAKA 2006-12-09 03:35:00 EST
I cannot read your spec/srpm. Is piedmont.homelinux.org alive?
Comment 2 Jef Spaleta 2006-12-22 19:45:59 EST
yes it looks like the piedmont.homelinux.org server is down again.

Brian email me the spec and src.rpm and I can host them for you.

-jef
Comment 4 Jef Spaleta 2006-12-22 21:27:26 EST
Uhm looks like they bumped up to 0.3.18 in the meantime.

Would you like me to spin up an updated srpm and spec for 0.3.18 and place them
on the website for you?

-jef
Comment 5 Jef Spaleta 2006-12-22 22:50:19 EST
URL updated
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telepathy-stream-engine/telepathy-stream-engine-0.3.18-1.src.rpm

I will be starting the formal review of 0.3.18 srpm tonite as time allows.
Comment 6 Jef Spaleta 2006-12-22 23:32:26 EST
It looks good. Here is the formal review.
I'm going to start a clock on this, and if noone brings up any blockers I'll
approve tomorrow evening.

-jef

GOOD:
*Built in mock on i386 against fedora-development
*rpmlint runs cleanly against it
*follows naming guidelines
*licnese is LGPL and spec tag matches
*COPYING file in %doc
*spec in US/english and legible
*Include source matches upstream md5sum
52c0b48905f11cac71df1f8560c8f4d7  telepathy-stream-engine-0.3.18.tar.gz

*buildrequires look good
*no locales to worry about
*no shared libraries
*not relocatable
*does not create any unowned directories. Package requires   
  libdbus-1.so.3 which is provided by dbus which owns 
  %{_datadir}/dbus-1/services/
*no duplicates in %files
*file permissions seem fine
*install and clean sections look good
*macro use is consistent
*docs is good
*no -devel subpackage
*no la files
*not a gui, no desktop file needed
*appears to meet all packaging guidelines

Comment 7 Mamoru TASAKA 2006-12-23 00:27:38 EST
Well, 
* please check if the following is what you expect.
---------------------------------------------------
checking for pic2plot... no
checking for gs... no
checking for convert... no
configure: WARNING: Imagemagick not found, drawing sequence diagrams will be
disabled.
configure: WARNING: Ghostscript not found, drawing sequence diagrams will be
disabled.
configure: WARNING: GNU plotutils not found, drawing sequence diagrams will be
disabled.
----------------------------------------------------
Note: all of them are available in Fedora Core/Extras and
a people who has already installed them beforehand may create
different binary rpm of telepathy-stream-engine.
Comment 8 Brian Pepple 2006-12-23 01:16:04 EST
Yes, this was on purpose since the sequence diagrams generation support isn't
complete yet.
Comment 9 Mamoru TASAKA 2006-12-23 02:29:18 EST
Okay, then this package can be approved IMO.
Comment 10 Jef Spaleta 2006-12-23 21:56:51 EST
(In reply to comment #8)
> Yes, this was on purpose since the sequence diagrams generation support isn't
> complete yet.

Does the configure script let you explicitly disable imagemagik,gs, and
plotutils support?  It would be best if these features were explicitly disabled
so we can get consistent rebuilds of the srpm even in build environments where
these exist.
I'm not sure this should count as a blocker or not, but I think Mamoru has a
point concerning binary reproducibility.

-jef
Comment 11 Brian Pepple 2006-12-23 22:36:30 EST
(In reply to comment #10)
> Does the configure script let you explicitly disable imagemagik,gs, and
> plotutils support?  It would be best if these features were explicitly disabled
> so we can get consistent rebuilds of the srpm even in build environments where
> these exist.

I believe there is a '--enable-sequence-diagrams=no' option we can add to
disable the building of this.

Comment 12 Jef Spaleta 2006-12-25 04:46:11 EST
Approved,
just add --enable-sequencec-diagrams=no  to the %configure before you build.

-jef
Comment 13 Brian Pepple 2006-12-27 19:31:25 EST
Jef, thanks for the review.
Comment 14 Brian Pepple 2008-04-23 11:45:19 EDT
Package Change Request
======================
Package Name: telepathy-stream-engine
New Branches: OLPC2
Updated Fedora Owners: gdesmott,bpepple
Comment 15 Jason Tibbitts 2008-04-23 12:21:07 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.